# $Revision: 1.4 $, $Date: 2005/10/21 15:19:40 $
Summary:	Script for creating bootable kernel with included initrd for PowerPCs
Summary(pl):	Skrypt do tworzenia bootowalnych jder z zaczonym initrd dla PowerPC
Name:		mkvmlinuz
Version:	1.2
Release:	1
License:	GPL
Group:		Applications/System
Source0:	%{name}
Source1:	%{name}.sysconfig
Requires:	binutils
Requires:	gzip
Requires:	mktemp
ExclusiveArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Script for creating bootable kernel with included initrd for PowerPCs.

%description -l pl
Skrypt do tworzenia bootowalnych jder z zaczonym initrd dla
PowerPC.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig}

install %{SOURCE0} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mkvmlinuz.spec,v $
Revision 1.4  2005/10/21 15:19:40  sparky
- ver 1.2 rel 1
- script works with crosscompiled kernel biuld tree too, but I see no sense
  in preparing spec for such situation

Revision 1.3  2005/10/21 11:58:59  sparky
- add %prep so ./builder will work correctly

Revision 1.2  2005/10/12 21:14:02  qboosh
- pl

Revision 1.1  2005/10/11 23:29:29  sparky
- NEW, very simple spec for mkvmlinuz
